/*******************************************************************************
 * Copyright (c) 2011 Ericsson
 * 
 * All rights reserved. This program and the accompanying materials are
 * made available under the terms of the Eclipse Public License v1.0 which
 * accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * 
 * Contributors:
 *   Bernd Hufmann - Initial API and implementation
 *******************************************************************************/
package org.eclipse.linuxtools.ust.sample2.ui;

import org.eclipse.linuxtools.tmf.event.TmfTimeRange;
import org.eclipse.linuxtools.tmf.experiment.TmfExperiment;
import org.eclipse.linuxtools.tmf.ui.views.statistics.TmfStatisticsView;
import org.eclipse.linuxtools.tmf.ui.views.statistics.model.AbsTmfStatisticsTree;
import org.eclipse.linuxtools.tmf.ui.views.statistics.model.ITmfColumnDataProvider;
import org.eclipse.linuxtools.ust.sample2.ui.model.NewStatisticsColumnDataProvider;
import org.eclipse.linuxtools.ust.sample2.ui.model.NewStatisticsModel;

public class NewStatisticsView extends TmfStatisticsView {

    public NewStatisticsView(String viewName) {
        super(viewName);
    }

    public NewStatisticsView() {
    }

    @Override
    protected AbsTmfStatisticsTree getStatisticData() {
        return new NewStatisticsModel();
    }
    
    @Override
    protected ITmfColumnDataProvider getColumnDataProvider() {
        return new NewStatisticsColumnDataProvider();
    }
    
    @Override
    protected void requestData(final TmfExperiment<?> experiment, TmfTimeRange timeRange) {
    	// do some initialization
        super.requestData(experiment, timeRange);
    }
}
