/*******************************************************************************
 * Copyright (c) 2011 Ericsson
 * 
 * All rights reserved. This program and the accompanying materials are
 * made available under the terms of the Eclipse Public License v1.0 which
 * accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * 
 * Contributors:
 *   Bernd Hufmann - Initial API and implementation
 *******************************************************************************/
package org.eclipse.linuxtools.ust.sample2.ui.model;

import org.eclipse.linuxtools.lttng.event.LttngEvent;

public class LatencyCalculator {
	
	private final long fMin = 400;
	private final long fMax = 20000000;
	
	/**
	 * Dummy implementation
	 */
	public void initialize() {
	}

	/**
	 * Dummy implementation that returns random latency values for certain event types.
	 * 
	 * @param event
	 * @return latency or -1
	 */
	@SuppressWarnings("nls")
    public long calculate (LttngEvent event) {
		
		String markerName = event.getMarkerName();
		
		if (markerName.equals("syscall_exit") || markerName.equals("softirq_exit") || markerName.equals("close") || markerName.equals("process_exit")) {
			long random = fMin + (int)(Math.random() * ((fMax - fMin) + 1));
			return random;
		}
		return -1;
	}
}
